> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magnific.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Imagen 3 - Create image from text

> Convert descriptive text input into images using AI. This endpoint accepts a variety of parameters to customize the generated images.

<Warning>This endpoint is deprecated and will be removed on **2026/05/13**. Please migrate to a supported alternative.</Warning>


## OpenAPI

````yaml post /v1/ai/text-to-image/imagen3
openapi: 3.0.0
info:
  description: >-
    The Magnific API is your gateway to a vast collection of high-quality
    digital resources for your applications and projects. As a leading platform,
    it offers a wide range of graphics, including vectors, photos,
    illustrations, icons, PSD templates, and more, all curated by talented
    designers from around the world.
  title: Magnific API
  version: 1.0.0
servers:
  - description: B2B API Production V1
    url: https://api.magnific.com
security:
  - magnificApiKey: []
paths:
  /v1/ai/text-to-image/imagen3:
    post:
      tags:
        - text-to-image
      summary: Imagen 3 - Create image from text
      description: >-
        Convert descriptive text input into images using AI. This endpoint
        accepts a variety of parameters to customize the generated images.
      operationId: create_image_from_text_imagen3
      requestBody:
        content:
          application/json:
            examples:
              all-params:
                $ref: '#/components/examples/request-tti-imagen3-all-params'
              required-params:
                $ref: '#/components/examples/request-tti-imagen3-required-params'
            schema:
              $ref: '#/components/schemas/ttii3-request-content'
      responses:
        '200':
          content:
            application/json:
              examples:
                success - in progress task:
                  $ref: '#/components/examples/200-task-in-progress'
              schema:
                $ref: >-
                  #/components/schemas/get_style_transfer_task_status_200_response
          description: OK - The request has succeeded and the Imagen3 process has started.
        '400':
          content:
            application/json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Parameter 'page' must be greater than 0
                invalid_query:
                  summary: Parameter 'query' is not valid
                  value:
                    message: Parameter 'query' must not be empty
                invalid_filter:
                  summary: Parameter 'filter' is not valid
                  value:
                    message: Parameter 'filter' is not valid
                generic_bad_request:
                  summary: Bad Request
                  value:
                    message: Parameter ':attribute' is not valid
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
            application/problem+json:
              examples:
                invalid_page:
                  summary: Parameter 'page' is not valid
                  value:
                    message: Validation error
                    invalid_params:
                      - field: page
                        reason: Parameter 'page' must be greater than 0
                      - field: per_page
                        reason: Parameter 'per_page' must be greater than 0
              schema:
                $ref: >-
                  #/components/schemas/get_all_style_transfer_tasks_400_response_1
          description: >-
            Bad Request - The server could not understand the request due to
            invalid syntax.
        '401':
          content:
            application/json:
              examples:
                invalid_api_key:
                  summary: API key is not valid
                  value:
                    message: Invalid API key
                missing_api_key:
                  summary: API key is not provided
                  value:
                    message: Missing API key
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_400_response'
          description: >-
            Unauthorized - The client must authenticate itself to get the
            requested response.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_500_response'
          description: >-
            Internal Server Error - The server has encountered a situation it
            doesn't know how to handle.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_all_style_transfer_tasks_503_response'
          description: Service Unavailable
components:
  examples:
    request-tti-imagen3-all-params:
      summary: Request - Text to image imagen3 all params
      value:
        prompt: Crazy dog in the space
        num_images: 1
        aspect_ratio: square_1_1
        styling:
          style: anime
          effects:
            color: pastel
            lightning: warm
            framing: portrait
        person_generation: allow_adult
        safety_settings: block_low_and_above
    request-tti-imagen3-required-params:
      summary: Request - Text to image required params
      value:
        prompt: Crazy dog in the space
    200-task-in-progress:
      summary: Success - Task in progress
      value:
        data:
          generated: []
          task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status: IN_PROGRESS
  schemas:
    ttii3-request-content:
      properties:
        prompt:
          description: The prompt to be used while generating the image
          example: A beautiful sunset over a calm ocean
          type: string
        webhook_url:
          description: >
            Optional callback URL that will receive asynchronous notifications
            whenever the task changes status. The payload sent to this URL is
            the same as the corresponding GET endpoint response, but without the
            data field.
          example: https://www.example.com/webhook
          format: uri
          type: string
        num_images:
          default: 1
          description: |
            Specifies the number of images to generate in a single request.
            Valid values range `[1, 4]`, default `1`.
          example: 1
          maximum: 4
          minimum: 1
          type: integer
        aspect_ratio:
          default: square_1_1
          description: The aspect ratio of the image
          enum:
            - square_1_1
            - social_story_9_16
            - widescreen_16_9
            - traditional_3_4
            - classic_4_3
          example: square_1_1
          type: string
        styling:
          $ref: '#/components/schemas/ttii3_request_content_styling'
        person_generation:
          default: allow_all
          description: Allow person generation
          enum:
            - dont_allow
            - allow_adult
            - allow_all
          type: string
        safety_settings:
          default: block_none
          description: Safety settings options
          enum:
            - block_low_and_above
            - block_medium_and_above
            - block_only_high
            - block_none
          type: string
      required:
        - prompt
      type: object
    get_style_transfer_task_status_200_response:
      example:
        data:
          generated:
            - https://openapi-generator.tech
            - https://openapi-generator.tech
          task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status: CREATED
      properties:
        data:
          $ref: '#/components/schemas/task-detail'
      required:
        - data
      type: object
    get_all_style_transfer_tasks_400_response:
      example:
        message: message
      properties:
        message:
          type: string
      type: object
    get_all_style_transfer_tasks_400_response_1:
      properties:
        problem:
          $ref: >-
            #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem
      type: object
    get_all_style_transfer_tasks_500_response:
      example:
        message: Internal Server Error
      properties:
        message:
          example: Internal Server Error
          type: string
      type: object
    get_all_style_transfer_tasks_503_response:
      example:
        message: Service Unavailable. Please try again later.
      properties:
        message:
          example: Service Unavailable. Please try again later.
          type: string
      type: object
    ttii3_request_content_styling:
      properties:
        style:
          description: The style of the image
          enum:
            - photo
            - digital-art
            - 3d
            - painting
            - low-poly
            - pixel-art
            - anime
            - cyberpunk
            - comic
            - vintage
            - cartoon
            - vector
            - studio-shot
            - dark
            - sketch
            - mockup
            - 2000s-pone
            - 70s-vibe
            - watercolor
            - art-nouveau
            - origami
            - surreal
            - fantasy
            - traditional-japan
          example: cartoon
          type: string
        effects:
          $ref: '#/components/schemas/ttii3_request_content_styling_effects'
        colors:
          description: Dominant colors to generate the image
          items:
            $ref: '#/components/schemas/colors_palette_inner'
          maxItems: 5
          minItems: 1
          type: array
      type: object
    task-detail:
      allOf:
        - $ref: '#/components/schemas/task'
        - properties:
            generated:
              items:
                description: URL of the generated image
                format: uri
                type: string
              type: array
          required:
            - generated
          type: object
      example:
        generated:
          - https://openapi-generator.tech
          - https://openapi-generator.tech
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
    get_all_style_transfer_tasks_400_response_1_problem:
      properties:
        message:
          example: Validation error
          type: string
        invalid_params:
          items:
            $ref: >-
              #/components/schemas/get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner
          type: array
      required:
        - invalid_params
        - message
      type: object
    ttii3_request_content_styling_effects:
      properties:
        color:
          description: The color of the image
          enum:
            - b&w
            - pastel
            - sepia
            - dramatic
            - vibrant
            - orange&teal
            - film-filter
            - split
            - electric
            - pastel-pink
            - gold-glow
            - autumn
            - muted-green
            - deep-teal
            - duotone
            - terracotta&teal
            - red&blue
            - cold-neon
            - burgundy&blue
          example: red
          type: string
        lightning:
          description: The lightning of the image
          enum:
            - studio
            - warm
            - cinematic
            - volumetric
            - golden-hour
            - long-exposure
            - cold
            - iridescent
            - dramatic
            - hardlight
            - redscale
            - indoor-light
          example: warm
          type: string
        framing:
          description: The framing of the image
          enum:
            - portrait
            - macro
            - panoramic
            - aerial-view
            - close-up
            - cinematic
            - high-angle
            - low-angle
            - symmetry
            - fish-eye
            - first-person
          example: portrait
          type: string
      type: object
    colors_palette_inner:
      properties:
        color:
          description: Hex color code
          example: '#FF0000'
          pattern: ^#[0-9A-F]{6}$
          type: string
        weight:
          description: Weight of the color (0.05 to 1)
          example: 0.5
          maximum: 1
          minimum: 0.05
          type: number
      required:
        - color
        - weight
      type: object
    task:
      example:
        task_id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status: CREATED
      properties:
        task_id:
          description: Task identifier
          format: uuid
          type: string
        status:
          description: Task status
          enum:
            - CREATED
            - IN_PROGRESS
            - COMPLETED
            - FAILED
          type: string
      required:
        - status
        - task_id
      type: object
    get_all_style_transfer_tasks_400_response_1_problem_invalid_params_inner:
      properties:
        name:
          description: Name of the invalid parameter.
          example: page
          type: string
        field:
          description: Field of the invalid parameter. Mirrors `name`.
          example: page
          type: string
        reason:
          example: Parameter 'page' must be greater than 0
          type: string
      required:
        - field
        - name
        - reason
      type: object
  securitySchemes:
    magnificApiKey:
      description: >
        Your Magnific API key. Required for authentication. [Learn how to obtain
        an API key](https://docs.magnific.com/quickstart)
      in: header
      name: x-magnific-api-key
      type: apiKey

````